package market.Lms.FixedAssets.vo;

import java.util.Date;

import market.Lms.FixedAssets.mapper.LmsFixedAssetsReceiveInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="lms_fixed_assets_receive_info", namespace=LmsFixedAssetsReceiveInfoMapper.class)
public class LmsFixedAssetsReceiveInfo {
	/**
	 *资产领用信息主表
	 *
	 */
	@Id
	//领用单编号
	private String receive_no;

	@Column
	//领用人编号
	private String receiver_no;

	@Column
	//领用人姓名
	private String receiver_name;	

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//领用时间
	private Date receive_time;

	@Column
	//领用后使用部门编号
	private String use_dept_no;

	@Column
	//领用后使用部门名称
	private String use_dept_name;

	@Column
	//领用后区域编号
	private String use_area_no;

	@Column
	//领用后区域名称
	private String use_area_name;

	@Column
	//领用后存放地点
	private String use_address;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//预计退库时间
	private Date p_time;
	
	@Column
	//领用处理人编号
	private String creater_no;
	
	@Column
	//领用处理人姓名
	private String creater_name;
	
	@Column
	//备注
	private String memo;

	public String getReceive_no() {
		return receive_no;
	}

	public void setReceive_no(String receive_no) {
		this.receive_no = receive_no;
	}

	public String getReceiver_no() {
		return receiver_no;
	}

	public void setReceiver_no(String receiver_no) {
		this.receiver_no = receiver_no;
	}

	public String getReceiver_name() {
		return receiver_name;
	}

	public void setReceiver_name(String receiver_name) {
		this.receiver_name = receiver_name;
	}

	public Date getReceive_time() {
		return receive_time;
	}

	public void setReceive_time(Date receive_time) {
		this.receive_time = receive_time;
	}

	public String getUse_dept_no() {
		return use_dept_no;
	}

	public void setUse_dept_no(String use_dept_no) {
		this.use_dept_no = use_dept_no;
	}

	public String getUse_area_no() {
		return use_area_no;
	}

	public void setUse_area_no(String use_area_no) {
		this.use_area_no = use_area_no;
	}

	public String getUse_area_name() {
		return use_area_name;
	}

	public void setUse_area_name(String use_area_name) {
		this.use_area_name = use_area_name;
	}

	public String getUse_address() {
		return use_address;
	}

	public void setUse_address(String use_address) {
		this.use_address = use_address;
	}

	public Date getP_time() {
		return p_time;
	}

	public void setP_time(Date p_time) {
		this.p_time = p_time;
	}

	public String getCreater_no() {
		return creater_no;
	}

	public void setCreater_no(String creater_no) {
		this.creater_no = creater_no;
	}

	public String getCreater_name() {
		return creater_name;
	}

	public void setCreater_name(String creater_name) {
		this.creater_name = creater_name;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getUse_dept_name() {
		return use_dept_name;
	}

	public void setUse_dept_name(String use_dept_name) {
		this.use_dept_name = use_dept_name;
	}
	
	


}
